SYSTEMD-MOUNT(1)

BEZEICHNUNG
systemd-mount, systemd-umount - Flüchtige (automatische) Einhängepunkte etablieren und zerstören

ÜBERSICHT

systemd-mount [OPTIONEN…] WAS [WO]

systemd-mount [OPTIONEN…] --list

systemd-mount [OPTIONEN…] --umount WAS|WO…

BESCHREIBUNG

systemd-mount kann zum Erstellen und Starten einer flüchtigen .mount- oder .automount-Unit des Dateisystems WAS an dem Einhängepunkt WO verwandt werden.

Auf viele Arten ist systemd-mount ähnlich zu dem systemnahen Befehl mount(8), allerdings statt die Einhängeaktion direkt und sofort auszuführen, plant systemd-mount sie in die Auftragswarteschlange des Systemverwalters ein, so dass dieser weitere Abhängigkeiten (wie Elterneinhängungen, oder ein vorher auszuführendes Dateisystemprüfprogramm) hereinziehen kann und die Selbsteinhänge-Logik verwenden kann.

Der Befehl akzeptiert entweder ein oder zwei Argumente. Falls nur ein Argument angegeben ist, sollte dieses auf ein Blockgerät oder eine reguläre Datei, die ein Dateisystem enthält (z.B. »/dev/sdb1« oder »/Pfad/zum/Platten.img«), verweisen. Das Blockgerät oder die Image-Datei wird dann auf eine Dateisystembezeichnung und andere Metadaten untersucht und in ein Verzeichnis unterhalb von /run/media/system/ eingehängt, dessen Namen aus dessen Dateisystembezeichnung erstellt wird. In diesem Modus muss das Blockgerät oder die Image-Datei zum Zeitpunkt des Aufrufs des Befehls existieren, so dass es untersucht werden kann. Falls herausgefunden wird, dass es sich um ein wechselbares Blockgerät handelt (z.B. einen USB-Stick) wird ein Selbsteinhängepunkt statt eines regulären Einhängepunktes erstellt (d.h. die Option --automount= impliziert, siehe unten).

Falls zwei Argumente angegeben werden, zeigt das erste die Einhängequelle (das WAS) an und die zweite zeigt den Pfad, an dem eingehängt werden soll (das WO) an. In diesem Modus wird keine Untersuchung der Quelle versucht und der darunterliegende Geräteknoten muss nicht existieren. Wird dieser Modus allerdings mit --discover kombiniert, wird die Geräteknotenuntersuchung auf zusätzliche Metadaten aktiviert und – ähnlich des oben beschriebenen Falles mit einem Argument – muss das angegebene Gerät zum Zeitpunkt des Aufrufs des Befehls existieren.

Verwenden Sie den Befehl --list, um eine knappe Tabelle aller lokalen, bekannten Blockgeräte mit Dateisystemen, die mit diesem Befehl eingehängt werden können, anzuzeigen.

systemd-umount kann zum Aushängen eines (Selbst-)Einhängepunkts verwandt werden. Dies ist zu systemd-mount --umount identisch.

OPTIONEN

Die folgenden Optionen werden verstanden:

--no-block
    Wartet nicht synchron auf die Beendigung der angeforderten Aktion. Falls dies nicht angegeben ist, wird der Auftrag überprüft, in die Warteschlange gestellt und durch systemd-mount gewartet, bis die Einhänge- oder Automount-Unit fertig gestartet ist. Durch Übergabe dieses Arguments wird er nur überprüft und in die Warteschlange eingereiht.

-l, --full
    Verkürzt die Ausgabe nicht, wenn --list angegeben ist.

--no-pager
    Leitet die Ausgabe nicht an ein Textanzeigeprogramm weiter.

--no-legend
    Gibt die Legende nicht aus, d.h. die Spaltenköpfe und die Fußzeile mit Hinweisen.

--no-ask-password
    Befragt den Benutzer nicht für Authentifizierung für privilegierte Aktionen.

--quiet, -q
    Unterdrückt bei der Ausführung zusätzliche Informationsausgabe.

--discover
    Aktiviert die Untersuchung der Einhängequelle. Dieser Schalter wird impliziert, falls auf der Befehlszeile ein einzelnes Argument angegeben wird. Falls übergeben, werden zusätzliche Metadaten aus dem Gerät gelesen, um die zu erstellende Unit zu verbessern. Es wird beispielsweise eine beschreibende Zeichenkette für flüchtige Units aus der Dateisystemkennung und dem Gerätemodell erstellt. Falls ein wechselbares Blockgerät (z.B. ein USB-Stick) erkannt wird, wird eine Automount-Unit statt einer regulären Einhänge-Unit erstellt, mit einer kurzen Leerlaufzeitüberschreitung, um sicherzustellen, dass das Dateisystem nach jedem Zugriff in einen sauberen Zustand gebracht wird.

--type=, -t
    Gibt den Typ des einzuhängenden Dateisystems an (z.B. »vfat«, »ext4«). Falls fehlend (oder auf »auto« gesetzt), wird der Dateisystemtyp automatisch bestimmt.

--options=, -o
    Zusätzliche Einhängeoptionen für den Einhängepunkt.

--owner=BENUTZER
    Setzt den angegebenen Benutzer BENUTZER als Eigentümer des eingehängten Dateisystems. Dies erfolgt durch Anhängen der Optionen uid= und gid= an die Liste der Einhängeoptionen. Nur bestimmte Dateisysteme unterstützen diese Option.

--fsck=
    Akzeptiert ein logisches Argument, standardmäßig »on«. Steuert, ob direkt vor der Einhängeaktion ein Dateisystemprüfprogramm ausgeführt werden soll. Im Selbsteinhänge-Fall (siehe --automount= unten) wird die Prüfung zum Zeitpunkt des ersten Zugriffs auf das Gerät durchgeführt, wodurch der Zugriff leicht verzögert werden könnte.

--description=
    Stellt eine Beschreibung für die Einhänge- oder Automount-Unit bereit. Siehe Description= in systemd.unit(5).

--property=, -p
    Setzt eine Unit-Eigenschaft für den erstellten Einhängepunkt fest. Dies akzeptiert eine Zuweisung im gleichen Format wie der Befehl set-property von systemctl(1).

--automount=
    Akzeptiert ein logisches Argument. Steuert, ob ein Selbsteinhänge- oder ein regulärer Einhängepunkt erstellt werden soll. Falls wahr, wird ein Selbsteinhängepunkt erstellt, der beim ersten Zugriff mit dem tatsächlichen Dateisystem hinterlegt wird. Falls falsch, wird ein reiner Einhängepunkt erstellt, der sofort von dem tatsächlichen Dateisystem hinterlegt wird. Selbsteinhängepunkte haben den Vorteil, dass das Dateisystem ausgehängt und damit in einem sauberen Zustand bleibt, bis erstmalig darauf zugegriffen wird. Im Selbsteinhänge-Modus kann der Schalter --timeout-idle-sec= (siehe unten) verwandt werden, um sicherzustellen, dass der Einhängepunkt automatisch nach dem letzten Zugriff und dem Ablauf einer Leerlaufzeit ausgehängt wird.

    Falls dieser Schalter nicht angegeben wird, ist er standardmäßig falsch. Falls nicht angegeben und --discover verwandt wird (oder nur ein einzelnes Argument übergeben wird, wodurch --discover impliziert wird, siehe oben) und das Dateisystemblockgerät als wechselbar erkannt wird, wird er auf wahr gesetzt, um die Chance zu erhöhen, dass das Dateisystem in einem kompletten sauberen Zustand ist, wenn das Gerät plötzlich abgezogen wird.

-A
    Äquivalent zu --automount=yes.

--timeout-idle-sec=
    Akzeptiert eine Zeitangabe, der die Leerlaufzeitüberschreitung im Selbsteinhänge-Modus steuert. Falls auf die Vorgabe »infinity« gesetzt, werden keine automatischen Aushängungen erfolgen. Andernfalls wird das hinter dem Selbsteinhängepunkt liegende Dateisystem nach dem letzten Zugriff und dem Ablauf der Leerlaufzeitüberschreitung getrennt. Siehe systemd.time(7) für Details über die unterstützte Zeitsyntax. Diese Option hat keinen Effekt, falls nur reguläre Einhängungen etabliert werden und Selbsteinhängung nicht verwandt wird.

    Beachten Sie, dass bei der Verwendung von --discover (oder der Übergabe nur eines einzelnen Arguments, womit --discover impliziert wird, siehe oben) und der Erkennung des Systemblockgerätes als wechselbares Medium --timeout-idle-sec=1s impliziert ist.

--automount-property=
    Ähnlich zu --property=, wendet aber zusätzliche Eigenschaften auf die erstellte Automount-Unit statt der Einhänge-Unit an.

--bind-device
    Diese Option ist nur im Selbsteinhänge-Modus effektiv und steuert, ob die Automount-Unit an die Lebensdauer des zugrundeliegenden Gerätes gebunden werden soll. Falls gesetzt, wird die Automount-Unit automatisch beendet, wenn das zugrundeliegende Gerät verschwindet. Standardmäßig bleibt die Automount-Unit vorhanden und nachfolgende Zugriffe blockieren, bis das zugrundeliegende Gerät wieder eingesteckt wird. Diese Option hat nur im Falle von Geräteeinhängungen Wirkung, d.h. keine bei Netzwerk- oder Einhängungen virtueller Dateisysteme.

    Beachten Sie, dass diese Option impliziert wird, falls --discover verwandt (oder nur ein einzelnes Argument übergeben wird, wodurch --discover impliziert wird, siehe oben) und das Dateisystemblockgerät als wechselbar erkannt wird.

--list
    Gibt eine knappe Liste der Blockgeräte, die ein Dateisystem enthalten, das mit »systemd-mount« eingehängt werden könnte, zusammen mit nützlichen Metadaten wie Kennungen usw. aus, statt einen Einhänge- oder Selbsteinhängepunkt zu etablieren.

-u, --umount
    Stoppt die einem angegebenen Einhängepunkt WO oder Gerät WAS entsprechenden Einhänge- oder Automount-Einhängepunkte. systemd-mount mit dieser Option oder systemd-umount kann mehrere Argumente akzeptieren, die Einhängepunkte, Geräte, /etc/fstab-artige Knotennamen oder zugrundeliegende Dateien, die Loop-Geräten entsprechen, wie systemd-mount --umount /Pfad/zur/Einhängung /dev/sda1 UUID=xxxxxx-xxxx LABEL=xxxxx /Pfad/zur/Platte.img sein können. Beachten Sie, dass nur absolute Pfade zu Einhängepunkten unterstützt werden, wenn -H oder -M angegeben ist.

-G, --collect
    Entlädt die flüchtige Unit nach Beendigung, selbst falls sie fehlgeschlagen ist. Normalerweise werden alle Einhänge-Units, die einhängen und fehlschlagen, im Speicher behalten, bis der Benutzer explizit ihren Fehlschlagszustand mit systemctl reset-failed oder einem äquivalenten Befehl zurücksetzt. Units, die erfolgreich gestoppt wurden, werden andererseits sofort entladen. Falls diese Option eingeschaltet ist, wird die »Müllabfuhr« von Units aggressiver sein und Units entladen, unabhängig davon, ob sie sich erfolgreich beendet haben oder fehlschlugen. Diese Option ist eine Kurzfassung von --property=CollectMode=inactive-or-failed, siehe die Erklärung für CollectMode= in systemd.unit(5) für weitere Informationen.

--user
    Kommuniziert mit dem Diensteverwalter des aufrufenden Benutzers statt mit dem Diensteverwalter des Systems.

--system
    Kommuniziert mit dem Diensteverwalter des Systems. Dies ist die implizite Vorgabe.

-H, --host=
    Führt die Aktion aus der Ferne aus. Geben Sie den Rechnernamen oder einen Benutzernamen und Rechnernamen (getrennt durch »@«) an, zu dem verbunden werden soll. Dem Rechnernamen darf optional ein Port, auf dem SSH auf Anfragen wartet, getrennt durch »:« und dann ein Container auf dem angegebenen Host angehängt werden, womit direkt zu einem bestimmten Container auf dem angegebenen Rechner verbunden wird. Dies verwendet SSH, um mit der Maschinen-Verwalterinstanz auf dem Rechner in der Ferne zu kommunizieren. Container-Namen dürfen mit machinectl -H RECHNER aufgezählt werden. Stellen Sie IPv6-Adressen in Klammern.

-M, --machine=
    Führt die Aktion in einem lokalen Container aus. Geben Sie den Namen des Containers an, zu dem verbunden werden soll. Optional kann diesem ein Benutzername, abgetrennt durch ein »@«-Zeichen, als der verbunden werden soll, vorangestellt werden. Falls die besondere Zeichenkette ».host« anstelle des Container-Names verwandt wird, wird eine Verbindung zu dem lokalen System aufgebaut (das ist nützlich, um sich zu dem Benutzerbus eines bestimmten Benutzers zu verbinden: »--user --machine=lennart@.host«. Falls die »@«-Syntax nicht verwandt wird, wird die Verbindung als Benutzer »root« vorgenommen. Falls die »@«-Syntax verwandt wird, kann entweder die linke oder die rechte Seite fortgelassen werden (aber nicht beide). In diesem Fall wird der lokale Benutzername und ».host« angenommen.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

DIE UDEV-DATENBANK

Falls --discover verwandt wird, berücksichtigt systemd-mount eine Reihe von zusätzlichen Udev-Eigenschaften von Blockgeräten:

SYSTEMD_MOUNT_OPTIONS=
    Die zu verwendenden Einhängeoptionen, falls --options= nicht verwandt wird.

SYSTEMD_MOUNT_WHERE=
    Der Dateisystempfad, an dem der Einhängepunkt zu platzieren ist, statt des automatisch erstellten.

BEISPIEL

Verwenden Sie eine Udev-Regel wie die nachfolgende, um automatisch alle eingesteckten USB-Speicher einzuhängen:

    ACTION=="add", SUBSYSTEMS=="usb", SUBSYSTEM=="block", ENV{ID_FS_USAGE}=="filesystem", \
            RUN{program}+="/usr/bin/systemd-mount --no-block --automount=yes --collect $devnode"

SIEHE AUCH

systemd(1), mount(8), systemctl(1), systemd.unit(5), systemd.mount(5), systemd.automount(5), systemd-run(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).